LTMAIN.SH(1)

NAME
ltmain.sh - manual page for ltmain.sh 1.5.22 (1.1220.2.365 2005/12/18 22:14:06)

SYNOPSIS
libtool [OPTION]... [MODE-ARG]...

DESCRIPTION
Provide generalized library-building support services.

--config
    show all configuration variables

--debug
    enable verbose shell tracing

-n, --dry-run display commands without modifying any files

--features
    display basic configuration information and exit

--finish
    same as `--mode=finish'

--help
    display this help message and exit

--mode=MODE
    use operation mode MODE [default=inferred from MODE-ARGS]

--quiet
    same as `--silent'

--silent
    don't print informational messages

--tag=TAG
    use configuration variables from tag TAG

--version
    print version information

MODE must be one of the following:

clean
    remove files from the build directory

compile
    compile a source file into a libtool object

execute
    automatically set library path, then run a program

finish
    complete the installation of libtool libraries

install
    install libraries or executables

link
    create a library or an executable

uninstall
    remove libraries from an installed directory

MODE-ARGS vary depending on the MODE. Try `libtool --help --mode=MODE' for a more detailed description of MODE.

REPORTING BUGS
Report bugs to <bug-libtool@gnu.org>.

COPYRIGHT
Copyright © 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for ltmain.sh is maintained as a Texinfo manual. If the info and ltmain.sh programs are properly installed at your site, the command

    info ltmain.sh

should give you access to the complete manual.